/*
 * This Java source file was generated by the Gradle 'init' task.
 */

import static org.junit.Assert.*;

import mytodoapp.Storage;
import mytodoapp.Task;
import org.junit.Test;

public class StorageTest {
    @Test
    public void testStoreTask() {
        Storage storage = new Storage();
        storage.store(new Task("Belajar TDD", 'I'));
        assertEquals(1, storage.count());
    }

    @Test
    public void testStoreTask2() {
        Storage storage = new Storage();
        storage.store(new Task("Belajar TDD", 'I'));
        storage.store(new Task("Belajar TDD 2", 'C'));
        assertEquals(2, storage.count());
    }

    @Test
    public void testStoreTask3() {
        Storage storage = new Storage();
        storage.store(new Task("Belajar TDD", 'I'));
        storage.store(new Task("Belajar TDD", 'I'));
        assertEquals(2, storage.count());
    }

    @Test
    public void testNullTaskList() {
        Storage storage = new Storage();
        assertEquals(0, storage.count());
    }
}
